GNUNET-TRACEKIT(1)

NAME
gnunet-tracekit -- overlay network traceing

SYNOPSIS
gnunet-tracekit [OPTIONS]

DESCRIPTION
gnunet-tracekit can be used to visualize the GNUnet overlay network. This tool broadcasts a message into the network querying every peer about a list of other connected peers. The result is then printed to the screen.

gnunet-tracekit is primarily useful for developers to determine the structure of the network. End-users will find little use for the tool itself (except to satisfy their curiosity) but should at the moment still enable this protocol to help the developers that trace the network.

-c FILENAME, --config=FILENAME
    load config file (defaults: ~/.gnunet/gnunet.conf)

-D DEPTH, --depth=DEPTH
    until which depth should the network be traced (how many hops)

-F FORMAT, --format=FORMAT
    specifies the output format, 0 is human readable, 1 is dot, 2 is vcg

-h, --help
    print help page

-L LOGLEVEL, --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, WARNING, INFO, STATUS and DEBUG. Note that options in the configuration file take precedence over this option (the argument will be ignored in that case). -P PRIORITY, --priority=PRIORITY what should the priority of the probe be

-v, --version
    print the version number -W WAIT, --wait=WAIT set how many seconds to wait for replies

NOTES
gnunet-tracekit may not be supported by all GNUnet peers. Peers that do not support tracekit will still be discovered and will be marked in the output as non-responding peers.

FILES

~/.gnunet/gnunet.conf
    Users GNUnet configuration file

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet.conf(5), gnunetd(1)